API für Partner › Support Chat mit dem Antragsteller abrufen POST /api/crm/v2/tickets.get_chat_customerv2
operationId: tickets.getChatCustomer
Gibt die Nachrichten des offenen Chats mit dem Antragsteller zurück (hidden=false): Autor, Text, Links zu Anhängen und reply_id — die ID der Nachricht, auf die geantwortet wurde.
Autorisierung api-token + language + role
Anfragetext application/json object
id integer erforderlich
Beispiel: 394
Antworten 200
object
status string erforderlich
Werte: successerror
Beispiel: success
data object
messages array of object
id integer erforderlich
Beispiel: 880
date string (DataTimeFormatSQL) erforderlich
Beispiel: 2024-05-02 08:31:16
user_id integer
Beispiel: 632
message string
Beispiel: Hello World
reply_id integer
Beispiel: 879
hidden boolean erforderlich
Beispiel: false
user_name string
Beispiel: User Name
affiliate_name string
Beispiel: user name
files array of object
file_id string erforderlich
Beispiel: df9a0531a9da6cf027e5143f38486dba
link string erforderlich
Beispiel: https://cdn.foodsoul.pro/support/407/images/df9a0531a9da6cf027e5143f38486dba.jpg?v1733409704
curl PHP JavaScript Python Kopieren
curl -X POST 'https://foodsoul.ru/api/crm/v2/tickets.get_chat_customer' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: de' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":394}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/tickets.get_chat_customer' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'de' ,
'role' => 'partner' ,
],
'json' => [
'id' => 394 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/tickets.get_chat_customer" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "de" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 394
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/tickets.get_chat_customer" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "de" ,
"role" : "partner" ,
},
json ={
"id" : 394 ,
},
)
data = response . json () Antwort 200
{
"status" : "success" ,
"data" : {
"messages" : [
{
"id" : 880 ,
"date" : "2024-05-02 08:31:16" ,
"user_id" : 632 ,
"message" : "Hello World" ,
"reply_id" : 879 ,
"hidden" : false ,
"user_name" : "User Name" ,
"affiliate_name" : "user name" ,
"files" : [
{
"file_id" : "df9a0531a9da6cf027e5143f38486dba" ,
"link" : "https://cdn.foodsoul.pro/support/407/images/df9a0531a9da6cf027e5143f38486dba.jpg?v1733409704"
}
]
}
]
}
} Anfragen werden an foodsoul.ru gesendet – dies ist der Host dieses Portals, ein anderer kann nicht ausgewählt werden.